## PyCon-SymPy
PyCon India -  SymPy Presentation

* Proposal Link: [Symbolic computation with Python](https://in.pycon.org/cfp/pycon-india-2015/proposals/symbolic-computation-with-python-sympy/)

* Website Link: http://iamit.in/sympy-pycon/

## About SymPy
SymPy is a pure Python library for symbolic mathematics. It aims to become a full-featured computer algebra system (CAS) while keeping the code as simple as possible in order to be comprehensible and easily extensible. SymPy is written entirely in Python and does not require any external library.

## SymPy Tutorial for PyCon India 2015
This is the tutorial that SymPy developers will be giving at PyCon India 2015 for SymPy.
In this tutorial we will introduce attendees to SymPy, a computer aided algebra system (CAS) written in Python. We will show basics of constructing and manipulating mathematical expressions in SymPy, the most common issues and differences from other computer algebra systems, and how to deal with them. In the last part of this tutorial, we will show how to solve practical problems with SymPy. This will include showing how to interface SymPy with popular numeric libraries like NumPy.

Attendees will take home an introductory level understanding of SymPy. This knowledge should be enough for attendees to start using SymPy for solving mathematical problems and hacking SymPy's internals (though hacking core modules may require additional expertise).

## Speaker Info

SymPy India developers will be conducting the workshop: 

* [Harsh Gupta](https://github.com/hargup), a student of IIT-Kharagpur, wrote the new symbolic solvers module for SymPy. He is mentoring a GSoC student and also is a previous GSoC-cer at SymPy. 

* [Sumith](https://github.com/sumith1896), a student of IIT-Bombay, currently implementing Polynomial module as his GSoC project for SymEngine. 

* [Sudhanshu Mishra](https://github.com/debugger22), a student of BITS Goa, core developer at SymPy

* [Amit Kumar](https://github.com/aktech), a student of DTU, GSoC-cer at SymPy 

* [Shivam Vats](https://github.com/shivamvats), a student of IIT-Kharagpur, GSoC-cer at SymPy/SymEngine 

* [Sartaj Singh](https://github.com/leosartaj), a student of IIT-BHU Varanasi, GSoC-cer at SymPy 

* [Abinash Meher](https://github.com/abinashmeher999), a student of IIT-Kharagpur, GSoC-cer at SymEngine
